<%inherit file="base.inc" />

<h1>Heaters</h1>

<script type="text/javascript">
<!--
	$(document).ready(cryo_board_settings(fill_page));

	function fill_page(bs) {
		for(var i=0; i<${self.libcrython.NUM_HEATER_CHANNELS}; i++) {
			$("#heater_" + i + "_name").attr("innerText", bs.returned.heater.channels[i].name);
			$("#heater_" + i + "_switch").attr("checked", bs.returned.heater.channels[i].state);
			$("#heater_" + i + "_resistance").attr("innerHTML", format_si(bs.returned.heater.channels[i].resistance, "&#937;"));
			$("#heater_" + i + "_dac").attr("innerHTML", bs.returned.heater.channels[i].amp[${self.libcrython.DAC_COUNTS}]);
			$("#heater_" + i + "_volts").attr("innerHTML", format_si(bs.returned.heater.channels[i].amp[${self.libcrython.VOLTS}], "V"));
			$("#heater_" + i + "_amps").attr("innerHTML", format_si(bs.returned.heater.channels[i].amp[${self.libcrython.AMPS}], "A"));
			$("#heater_" + i + "_watts").attr("innerHTML", format_si(bs.returned.heater.channels[i].amp[${self.libcrython.WATTS}], "W"));
		}
	}
-->
</script>

<table summary='Heater Status' id="tablecol">
	<caption>Heater Status and Readout</caption>
	<thead>
		<tr>
			<th>#</th><th>Channel</th><th>Switch</th><th>Resistance</th><th>DAC Counts</th><th>Volts</th><th>Amps</th><th>Power</th>
		</tr>
	</thead>
	<tbody>
		% for c in xrange(self.libcrython.NUM_HEATER_CHANNELS):
		<tr>
			<td>${c+1}</td>
			<td><div id="heater_${c}_name"></div></td>
			<td>
				<input type="checkbox" id="heater_${c}_switch"
					onclick="cryo_method('CryoBoard', 'set_heater_switch', [
						${c},
						$('#heater_${c}_switch').attr('checked') ? 1 : 0
					], true)" />
			</td>
			<td><div id="heater_${c}_resistance" align="right"></div></td>
			<td><div align="right" id="heater_${c}_dac"></div></td>
			<td><div align="right" id="heater_${c}_volts"></div></td>
			<td><div align="right" id="heater_${c}_amps"></div></td>
			<td><div align="right" id="heater_${c}_watts"></div></td>
		</tr>
		% endfor
	</tbody>
</table>

