<%inherit file="base.inc" />
<%doc>
# vim: ft=javascript
</%doc>
<h1>Streamers</h1>

<script type="text/javascript">
<!--
	$(document).ready(fill_page());
	
	function kill_helper() {
		id = $(event.srcElement).attr('id');
		x = id.match('streamer_([^_]*)_([0-9]*)');
		ip = x[1];
		port = x[2];

		cryo_method('CryoBoard', 'kill_streamer', [ip, port], { complete: function() { fill_page() } });
	}

	function fill_page() {

		cryo_method('CryoBoard',
			'get_streamers', {},
			{ success: function(data) {
				$('#streamer_table > tbody > tr').filter(':not(#new_streamer)').remove();

				for(var i in data.returned) {
					ip = data.returned[i].ip;
					port = data.returned[i].port;

					/* Don't show local streamer, or people will be
					 * tempted to kill it */
					if(ip=="127.0.0.1" && port==8888)
						continue;

					$('#streamer_table tbody:first tr:first').before("<tr><td>" + ip + "</td><td>" + port + "</td><td><img src='images/choice-cancel.gif' title='Kill this streamer' onclick='kill_helper()' id='streamer_" + ip + "_" + port + "'></img></td></tr>");
				}
			} }
		);
	}

-->
</script>

<table id="streamer_table">
	<thead>
		<tr>
			<th><b>Hostname/IP</b></th><th><b>Port</b></th><th><b>Actions</b></th>
		</tr>
	</thead>
	<tbody>
		<tr id="new_streamer">
			<td><INPUT id="launch_ip" type="text" name="ip" maxlength="15"></td>
			<td><INPUT id="launch_port" type="text" name="port" maxlength="4"></td>
			<td id="new_streamer">
				<img src="images/plus.gif"
					title="Launch this streamer"
					onclick="cryo_method('CryoBoard', 'launch_streamer', [ $('#launch_ip').val(), parseInt($('#launch_port').val()) ], { complete: function() { fill_page() } })";
				/>
			</td>
		</tr>
	</tbody>
</table>


